# Enum Class Color

java.lang.Object
java.lang.Enum<Color>
Color

All Implemented Interfaces:
  `Serializable`, `Comparable<Color>`, `Constable`

public enum Color extends Enum<Color>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLACK`
  `NIL`
  `WHITE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `Color()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Color`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Color[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NIL

    public static final Color NIL

  - ### WHITE

    public static final Color WHITE

  - ### BLACK

    public static final Color BLACK

- ## Constructor Details

  - ### Color

    private Color()

- ## Method Details

  - ### values

    public static Color[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Color valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null